Help:Installation (fr)

From semantic-mediawiki.org
Jump to: navigation, search
Installation
Cette page décrit comment installer Semantic MediaWiki
Image / Collection vidéo
Informations complémentaires
Type d'installation :
Méthode d'installation :
mediawikiMinVersion : N/A
Sommaire

La méthode recommandée pour installer Semantic MediaWiki est de le faire avec Composer (en), mais si vous ne pouvez pas utiliser Composer pour l'installation et la mise à jour, vous avez la possibilité d'installer la dernière version en suivant les instructions qui se trouvent dans cette page d'aide (en).

Note Note : Les instructions de cette page pour installer et mettre à jour Semantic MediaWiki ne s'appliquent pas au Semantic Bundle (en) qui utilise aussi Semantic MediaWiki. Voyez la page d'aide sur le Semantic Bundle (en) pour la marche à suivre.

  • Il existe aussi une page d'aide pour l'installation sur un serveur à base Windows (en).
  • Veuillez toujours vérifier les prérequis et suivre attentivement les instructions. Assurez-vous de bien comprendre les conditions légales situées dans le fichier [1] avant de continuer.
  • Pour mettre à jour un wiki tournant avec une ancienne version de SMW, assurez-vous de lire la section appropriée avant de commencer à faire la mise à jour.
  • Note Note : Si vous utilisez MediaWiki 1.23 ou ultérieur et/ou PHP 5.4 ou ultérieur, il vous est fortement recommandé d'installer ou de mettre à jour vers Semantic MediaWiki 2.0 (en) ou ultérieur. Dans un cadre de production, il est préférable de ne pas installer les versions MediaWiki 1.9 et inférieures avec ces versions.

Notes générales

  • Semantic MediaWiki a des dépendances qui seront rendues disponibles durant l'installation.
  • Les extensions (en) indépendantes de Semantic MediaWiki, comme par exemple Semantic Result Formats (en) peuvent nécessiter des prérequis différents.
  • Les extensions indépendantes de Semantic MediaWiki peut ne pas être compatibles (pour l'instant) avec la version "~2.4". Veuillez vérifier directement sur les pages de documentation des extensions concernées ou bien contacter les développeurs respectifs pour de plus amples informations.
  • L'extension ConfirmEdit 1 est connue pour limiter le fonctionnement de Semantic MediaWiki.

Environnement

  • Il est supposé que l'extension PHP mbstring est activée (permet l'utilisation de fonctions PHP multi-octets mb_*() comme mb_strpos dans le php_mbstring.dll). Il s'agit d'un standard mais dans certaines distributions de PHP, elle n'est pas activée pas par défaut.
  • L'utilisation de SMW et onoi/http-request sur un serveur principal SPARQL (en) nécessite l'accès aux fonctions cURL de PHP. Il sera peut-être nécessaire d'installer et d'activer ces fonctions pour qu'elles soient disponibles.
  • Bien que cela ne soit pas (encore) obligatoire, il est préférable d'avoir l'extension PHP intl (ICU) activée, notamment lorsque Semantic MediaWiki est utilisé dans un environnement UTF-8 (non latin).
  • Pour les utilisateurs nécessitant des liens symboliques, certaines informations sont disponibles ici (en).

Réglages

  • Pour l'installation ou la mise à jour, SMW doit bénéficier des droits pour créer de nouvelles tables (CREATE) et pour modifier les tables (ALTER TABLE). Vous pourrez supprimer ces droits une fois que SMW est configuré. Le script "setupStore.php" peut utiliser les références DB de "LocalSettings.php" à cet effet, évitant ainsi la nécessité de droits supplémentaires pour l'utilisateur DB du wiki.
  • Lorsqu'on utilise SQL backend (en) (le système de stockage des données par défaut de SMW), SMW crée et modifie des tables temporaires pour certaines requêtes sémantiques. Pour ce faire, le compte utilisateur de la base de donnée du wiki doit disposer des privilèges permettant de CRÉER et SUPPRIMER DES TABLES TEMPORAIRES. Si vous ne souhaitez pas accorder ces privilèges, voyez comment désactiver l'utilisation des tables temporaires (en) dans "LocalSettings.php".
  • Il est fortement recommandé d'avoir le cache du parseur (en) et le cache (en) spécifique Semantic MediaWiki activés avec les valeurs de configuration adéquates.
  • Les informations concernant les tâches régulières de maintenance et la file d'attente des tâches se trouvent ici (en).

Prérequis

Les informations de compatibilité et les prérequis nécessaires pour Semantic MediaWiki se trouvent inscrits dans le document de compatibilité (en). Assurez-vous que les conditions sont remplies avant d'installer Semantic MediaWiki.

Installation

Dans la liste ci-dessous, veuillez sélectionner les instructions d'installation les plus appropriées à votre environnement et à la dernière version sortie "~2.4".

Help pageShort descriptionInstallation typeInstallation method
Utilisation de Composer avec MediaWiki 1.25+Cette page décrit l'installation faite en utilisant le support natif de Composer pour MediaWiki 1.25+newUsing Composer

Other instructions

Page d'aideDescription courteType d'installationMéthode d'installationStatut du documentLangue
Using Tarball (Installation without shell access)This page describes how to install SMW where no shell access is available by using a Tarball source.newTarball downloadvalid
Installation (fr)/Utilisation de Composer avec MediaWiki 1.22 - 1.24Cette page décrit l'installation faite en utilisant le support natif de Composer pour MediaWiki 1.22 - 1.24newUsing Composervalidfr
Installation/Using Composer with MediaWiki 1.22 - 1.24This pages describes the installation using native Composer support for MediaWiki 1.22 - 1.24newUsing Composervaliden
Using Composer with MediaWiki 1.25+ (Installation)This pages describes the installation using native Composer support for MediaWiki 1.25+newUsing Composervaliden
Utilisation de Composer avec MediaWiki 1.25+Cette page décrit l'installation faite en utilisant le support natif de Composer pour MediaWiki 1.25+newUsing Composervalidfr
Installation/Upgrade from ≤ SMW 1.7.xThis pages describes the upgrade proposal for ≤ SMW 1.7.x.upgradeN/Avalid
Installation/Upgrade from SMW 1.8.xThis pages describes the upgrade procedure for SMW 1.8.x.upgradeN/Avalid
Installation/Upgrade from SMW 1.9+ for MW 1.22+This page describes the upgrade procedure from SMW 1.9+ (MW 1.22+ / native Composer support).upgradeUsing Composervalid
Installation/Upgrade from SMW 1.9+ for MW 1.19 - 1.21Upgrading from SMW 1.9.x or 2.0 (MW 1.19+ / non-native Composer support).upgradeUsing Composervalid
Installation/Using Composer with MediaWiki 1.19 - 1.21This pages describes the installation using non-native Composer support for MediaWiki 1.19.x to 1.21.x.newUsing Composerobsolete

Tests

Lorsque l'installation s'est déroulée de manière satisfaisante (avec bien entendu toutes les tâches de maintenance nécessaires), une bonne pratique consiste à lancer des tests automatiques pour voir si le système répond bien à ce qu'on lui demande de faire. Malgré tout, il est recommandé de ne pas faire ces tests sur un serveur en production.

Les instructions sur la façon de lancer ces tests automatiques se trouve ici (en).

Résolution des problèmes

Si vous apercevez des messages inhabituels pendant ou après l'installation, n'hésitez pas à voir la page de résolution des problèmes (en), à nous contacter via Help:Obtenir de l'aide, ou encore à créer une demande en utilisant le traqueur de bogue.


Cette page de documentation concerne toutes les versions de SMW depuis la 2.0 jusqu'à la version la plus récente.
Autres versions : 1.9.0 – 1.9.21.8.0 – 1.8.01.7.1 – 1.7.1       Autres langues : en

Help:Installation fr 2.0